extends ../layouts/navbar
include ../components/successerrorbox


block content
    link(rel='stylesheet', type='text/css', href='/css/multi-select.css')
    script(src='/js/jquery.multi-select.js')
    h1= `Assign Users to [${data.code}] ${data.name}`
    +successerror(sucmsg, errmsg)

    form(action=`/course/assign/${data.id}`, method='post', novalidate=true).needs-validation
        .container.m-0.p-0
            .row
                .col
                    .form-group
                        label#lls(for='student', style="font-size: 16pt;") Select Students
                        div.btn-controls 
                            button.btn.btn-light.btnselect#select-all1(type='button') Select All
                            button.btn.btn-light.btnunselect#unselect-all1(type='button') Unselect All
                        select.form-control#student(name='studentlist', multiple="multiple")
                            each ss in studentUsers
                                if (studentList.includes(ss.id))
                                    option(value=ss.id, selected=true)= `${ss.fullname} (${ss.username})`
                                else
                                    option(value=ss.id)= `${ss.fullname} (${ss.username})`
            br
            br
            .row    
                .col
                    .form-group.required
                        label(for='instructors', style="font-size: 16pt;") Select Instructors
                        div.btn-controls 
                            button.btn.btn-light.btnselect#select-all2(type='button') Select All
                            button.btn.btn-light.btnunselect#unselect-all2(type='button') Unselect All
                        select.form-control#instructors(name='instructorlist', multiple="multiple", required=true)
                            each ss in powerUsers
                                if (instructorList.includes(ss.id))
                                    option(value=ss.id, selected=true)= `${ss.fullname} (${ss.username})`
                                else
                                    option(value=ss.id)= `${ss.fullname} (${ss.username})`
                        div.invalid-feedback At least 1 instructor must be in the course
            br
            br
            .row
                .col
                    button.btn.btn-primary(type='submit') Update Course
                    a.btn.btn-danger.ml-2(href='/course/list') Cancel
                    a.btn.btn-warning.float-right(href=`/course/importusers/${data.id}`) Bulk Import Users
            br
            br
            //-  OLD DESIGN
            //-     .form-group
            //-             label(for='student') Select Students
            //-             select.form-control#student(name='studentlist', multiple=true)
            //-                 each ss in users
            //-                     if (studentList.includes(ss.id))
            //-                         option(value=ss.id, selected=true)= `${ss.fullname} (${ss.username})`
            //-                     else
            //-                         option(value=ss.id)= `${ss.fullname} (${ss.username})`
            //-     .col
            //-         .form-group.required
            //-             label(for='instructors') Select Instructors
            //-             select.form-control#instructors(name='instructorlist', multiple=true, required=true)
            //-                 each ss in users
            //-                     if (instructorList.includes(ss.id))
            //-                         option(value=ss.id, selected=true)= `${ss.fullname} (${ss.username})`
            //-                     else
            //-                         option(value=ss.id)= `${ss.fullname} (${ss.username})`
            //-             div.invalid-feedback At least 1 instructor must be in the course
            //- .row
            //-     .col
            //-         button.btn.btn-primary(type='submit') Update Course
            //-         a.btn.btn-danger.ml-2(href='/course/list') Cancel
            //-         a.btn.btn-warning.float-right(href=`/course/importusers/${data.id}`) Bulk Import Users

        //include ../meta/select2

        include ../meta/formvalidation

        script. 
            // For student section
            $('#student').multiSelect({
                selectableHeader: "<div class='custom-header'>Selectable candidates</div>",
                selectionHeader: "<div class='custom-header'>Add as Students</div>",
                }
            );
            $('#select-all1').click(function(){
                $('#student').multiSelect('select_all');
                return false;
            });
            $('#unselect-all1').click(function(){
                $('#student').multiSelect('deselect_all');
                return false;
            });
            
            // For instructor section
            $('#instructors').multiSelect({
                selectableHeader: "<div class='custom-header'>Selectable candidates</div>",
                selectionHeader: "<div class='custom-header'>Add as Instructors</div>",
                }
            );
            $('#select-all2').click(function(){
                $('#instructors').multiSelect('select_all');
                return false;
            });
            $('#unselect-all2').click(function(){
                $('#instructors').multiSelect('deselect_all');
                return false;
            });